[B035] Organization profit

post
https://connect.patsnap.com/synapse/organization/profit
Try in Sandbox

Obtain organization profit information about market cap, revenue, income statement etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
organization_id
string11ef8a9e8bf5ca80213a1183511cded3
Organization ID
duration_type
stringYEARLY
Dimension type. The value is an enum with the following values: QUARTERLY、SEMI_ANNUAL、YEARLY. Default YEARLY
duration
stringFIVE_YEAR
Time Range. The value is an enum with the following values: ONE_YEAR、THREE_YEAR、FIVE_YEAR、TEN_YEAR. Default FIVE_YEAR

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
revenue
number28010000000
Revenue
unix_date
integer<int64>1703980800000
Statistical Cutoff Time
cash_flows
arrayPlease check the form:CashFlow
Cash flow
year
integer<int64>1553990400000
Date
currency_code
stringUSD
Currency Code
free_cash_flow
objectPlease check the form:FreeCashFlow
Free Cash Flow
free_cf
number1729000000
Free Cash Flow
free_cf_yield
number0.0817
Free Cash Flow Yield
free_cf_growth
number-0.3278
Growth
capital_expenditures
objectPlease check the form:CapitalExpenditures
Capital Expenditures
capex
number-116000000
Capital Expenditures
capex_growth
number0.2516
Growth
net_financing_cash_flow
objectPlease check the form:NetFinancingCashFlow
Net Financing Cash Flow
net_financing_cf
number-4987000000
Net Financing Cash Flow
net_financing_cf_growth
number0.5735
Growth
net_investing_cash_flow
objectPlease check the form:NetInvestingCashFlow
Net Investing Cash Flow
net_investing_cf
number3555000000
Net Investing Cash Flow
net_investing_cf_growth
number0.7615
Growth
net_operating_cash_flow
objectPlease check the form:NetOperatingCashFlow
Net Operating Cash Flow
net_oper_cf
number1845000000
Net Operating Cash Flow
net_oper_cf_growth
number-0.3234
Growth
net_oper_cf_return_on_invest
number0.2327
Cash Flow Return on Invested Capital
market_val
number154206000000
Market Cap
currency_code
stringUSD
Currency Code
balance_sheets
arrayPlease check the form:BalanceSheet
Balance Sheet
year
integer<int64>1553990400000
Date
cash_st
objectPlease check the form:CashSt
Cash & Short-Term Investments
cash_st
number26301000000
Cash & Short-Term Investments
cash_st_growth
number-0.1825
Growth
cash_st_assets_ratio
number0.411
Cash & ST Investments / Total Assets
net_debt
objectPlease check the form:NetDebt
Net Debt
net_debt
number7211000000
Net Debt
net_debt_growth
number-0.0571
Growth
net_debt_equity_ratio
number0.6657
Net Debt / Total Equity
total_debt
objectPlease check the form:TotalDebt
Total Debt
debt
number33512000000
Total Debt
debt_growth
number-0.0571
Growth
debt_equity_ratio
number3.0938
Total Debt / Total Equity
debt_asserts_ratio
number0.5236
Total Debt / Total Assets
total_assets
objectPlease check the form:TotalAssets
Total Assets
assets
number63997000000
Total Assets
assets_growth
number-0.1007
Growth
assets_turnover
number0.351
Asset Turnover
return_on_assets
number0.1195
Return on Assets
currency_code
stringUSD
Currency Code
total_liabilities
objectPlease check the form:TotalLiabilities
Total Liabilities
liabs
number53165000000
Total Liabilities
liabs_growth
number-0.0428
Growth
total_shareholders_equity
objectPlease check the form:TotalShareholdersEquity
Total Shareholders' Equity
shldrs_equity
number10832000000
Total Shareholders' Equity
return_on_equity
number0.6105
Return on Equity
shldrs_equity_assets_ratio
number0.1693
Total Shareholders' Equity / Total Assets
revenue_detail
arrayPlease check the form:RevenueValue
Revenue(According To Dimension)
year
integer<int64>1553990400000
Date
revenue
number5543000000
Revenue
net_margin
number11ef8a9e8bf5ca80213a1183511cded3
Net Margin
gross_margin
number11ef8a9e8bf5ca80213a1183511cded3
Gross Profit Margin
currency_code
stringUSD
Currency Code
income_statements
arrayPlease check the form:IncomeStatement
Income Statement
ebit
objectPlease check the form:Ebit
EBIT
ebit
number2458000000
EBIT
ebit_growth
number-0.1107
Growth
ebit_margin
number0.4434
EBIT margin
year
integer<int64>1553990400000
Date
sales
objectPlease check the form:Sales
Sales
sales
number5543000000
Sales
sale_growth
number-0.0081
Growth
ebitda
objectPlease check the form:Ebitda
EBITDA
ebitda
number2953000000
EBITDA
ebitda_growth
number-0.0872
Growth
ebitda_margin
number0.5327
EBITDA Margin
net_income
objectPlease check the form:NetIncome
Net Income
net_income
number1992000000
Net Income
net_income_growth
number-0.138
Growth
net_income_margin
number0.3594
Net Margin
gross_income
objectGross Income
Organization ID
gross_inc
number4488000000
Gross Income
gross_margin
number0.8097
Gross Margin
gross_inc_growth
number-0.0336
Growth
currency_code
stringUSD
Currency Code
market_val_detail
arrayPlease check the form:ProfitValue
Market Cap(According To Dimension)
year
integer<int64>1553990400000
Date
market_val
number116724000000
Market Cap
currency_code
stringUSD
Currency Code
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "revenue": 28010000000,
    "unix_date": 1703980800000,
    "cash_flows": [
      {
        "year": 1553990400000,
        "currency_code": "USD",
        "free_cash_flow": {
          "free_cf": 1729000000,
          "free_cf_yield": 0.0817,
          "free_cf_growth": -0.3278
        },
        "capital_expenditures": {
          "capex": -116000000,
          "capex_growth": 0.2516
        },
        "net_financing_cash_flow": {
          "net_financing_cf": -4987000000,
          "net_financing_cf_growth": 0.5735
        },
        "net_investing_cash_flow": {
          "net_investing_cf": 3555000000,
          "net_investing_cf_growth": 0.7615
        },
        "net_operating_cash_flow": {
          "net_oper_cf": 1845000000,
          "net_oper_cf_growth": -0.3234,
          "net_oper_cf_return_on_invest": 0.2327
        }
      }
    ],
    "market_val": 154206000000,
    "currency_code": "USD",
    "balance_sheets": [
      {
        "year": 1553990400000,
        "cash_st": {
          "cash_st": 26301000000,
          "cash_st_growth": -0.1825,
          "cash_st_assets_ratio": 0.411
        },
        "net_debt": {
          "net_debt": 7211000000,
          "net_debt_growth": -0.0571,
          "net_debt_equity_ratio": 0.6657
        },
        "total_debt": {
          "debt": 33512000000,
          "debt_growth": -0.0571,
          "debt_equity_ratio": 3.0938,
          "debt_asserts_ratio": 0.5236
        },
        "total_assets": {
          "assets": 63997000000,
          "assets_growth": -0.1007,
          "assets_turnover": 0.351,
          "return_on_assets": 0.1195
        },
        "currency_code": "USD",
        "total_liabilities": {
          "liabs": 53165000000,
          "liabs_growth": -0.0428
        },
        "total_shareholders_equity": {
          "shldrs_equity": 10832000000,
          "return_on_equity": 0.6105,
          "shldrs_equity_assets_ratio": 0.1693
        }
      }
    ],
    "revenue_detail": [
      {
        "year": 1553990400000,
        "revenue": 5543000000,
        "net_margin": "11ef8a9e8bf5ca80213a1183511cded3",
        "gross_margin": "11ef8a9e8bf5ca80213a1183511cded3",
        "currency_code": "USD"
      }
    ],
    "income_statements": [
      {
        "ebit": {
          "ebit": 2458000000,
          "ebit_growth": -0.1107,
          "ebit_margin": 0.4434
        },
        "year": 1553990400000,
        "sales": {
          "sales": 5543000000,
          "sale_growth": -0.0081
        },
        "ebitda": {
          "ebitda": 2953000000,
          "ebitda_growth": -0.0872,
          "ebitda_margin": 0.5327
        },
        "net_income": {
          "net_income": 1992000000,
          "net_income_growth": -0.138,
          "net_income_margin": 0.3594
        },
        "gross_income": {
          "gross_inc": 4488000000,
          "gross_margin": 0.8097,
          "gross_inc_growth": -0.0336
        },
        "currency_code": "USD"
      }
    ],
    "market_val_detail": [
      {
        "year": 1553990400000,
        "market_val": 116724000000,
        "currency_code": "USD"
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms